Package ru.bitel.bgbilling.kernel.network.radius

# Class RadiusListenerWorkerContext

java.lang.Object
ru.bitel.common.worker.ThreadContext
ru.bitel.bgbilling.kernel.base.server.DefaultContext
ru.bitel.bgbilling.kernel.container.managed.ContainerContext
ru.bitel.bgbilling.kernel.container.managed.ServerContext
ru.bitel.bgbilling.kernel.network.radius.RadiusListenerWorkerContext

All Implemented Interfaces:
  `AutoCloseable`, `ru.bitel.common.util.ConnectionHolder`, `ru.bitel.common.worker.Commitable`, `ru.bitel.common.worker.CommitableHandler`, `ru.bitel.common.worker.Recyclable`

public class RadiusListenerWorkerContext extends ru.bitel.bgbilling.kernel.container.managed.ServerContext

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.container.managed.ContainerContext

  `setup`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.base.server.DefaultContext

  `connectionSet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RadiusListenerWorkerContext(Setup setup, int moduleId, boolean autoCommit, ru.bitel.bgbilling.kernel.network.radius.datalog.hourly.RadiusHourlyDataLogger dataLogger)`
  `RadiusListenerWorkerContext(Setup setup, int moduleId, ru.bitel.bgbilling.kernel.network.radius.datalog.hourly.RadiusHourlyDataLogger dataLogger)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final void`
  `writeRecord(Idable nas, int[] positions, ByteBuffer data, long now)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.container.managed.ServerContext

  `addCommitable, commit, destroy, getDirectory, getResourceManager, getService, init, newDirectory, newService, publishAfterCommit, recycle`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.container.managed.ContainerContext

  `getEnvironment, getModuleId, getModuleSetup, getNamingContext, getSetup, getUserId`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.DefaultContext

  `close, getConnection, getConnectionSet`

  ### Methods inherited from class ru.bitel.common.worker.ThreadContext

  `get, get, pop, push, set`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RadiusListenerWorkerContext

    @Deprecated public RadiusListenerWorkerContext(Setup setup, int moduleId, ru.bitel.bgbilling.kernel.network.radius.datalog.hourly.RadiusHourlyDataLogger dataLogger)
    Deprecated.

  - ### RadiusListenerWorkerContext

    public RadiusListenerWorkerContext(Setup setup, int moduleId, boolean autoCommit, ru.bitel.bgbilling.kernel.network.radius.datalog.hourly.RadiusHourlyDataLogger dataLogger)

- ## Method Details

  - ### writeRecord

    public final void writeRecord(Idable nas, int[] positions, ByteBuffer data, long now)